E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::ClientProtocol::Config Struct Reference

A structure containing GSmtp::ClientProtocol configuration parameters. More...

`#include <gsmtpclientprotocol.h>`

## Public Member Functions
| Config (const std::string &name, unsigned int response_timeout, unsigned int ready_timeout, unsigned int filter_timeout, bool use_starttls_if_possible, bool must_use_tls, bool must_authenticate, bool anonymous, bool must_accept_all_recipients, bool eight_bit_strict)
Config & | set_thishost_name (const std::string &)
Config & | set_response_timeout (unsigned int)
Config & | set_ready_timeout (unsigned int)
Config & | set_filter_timeout (unsigned int)
Config & | set_use_starttls_if_possible (bool=true)
Config & | set_must_use_tls (bool=true)
Config & | set_must_authenticate (bool=true)
Config & | set_anonymous (bool=true)
Config & | set_must_accept_all_recipients (bool=true)
Config & | set_eight_bit_strict (bool=true)

## Public Attributes
std::string | thishost_name
unsigned int | response_timeout {0U}
unsigned int | ready_timeout {0U}
unsigned int | filter_timeout {0U}
bool | use_starttls_if_possible {false}
bool | must_use_tls {false}
bool | must_authenticate {false}
bool | anonymous {false}
bool | must_accept_all_recipients {false}
bool | eight_bit_strict {false}

## Detailed Description

A structure containing GSmtp::ClientProtocol configuration parameters.

Definition at line 183 of file gsmtpclientprotocol.h.

## Constructor & Destructor Documentation

## ◆ Config()

GSmtp::ClientProtocol::Config::Config | ( | const std::string & | name,
|  | unsigned int | response_timeout,
|  | unsigned int | ready_timeout,
|  | unsigned int | filter_timeout,
|  | bool | use_starttls_if_possible,
|  | bool | must_use_tls,
|  | bool | must_authenticate,
|  | bool | anonymous,
|  | bool | must_accept_all_recipients,
|  | bool | eight_bit_strict
| ) |  |

Definition at line 810 of file gsmtpclientprotocol.cpp.

## Member Function Documentation

## ◆ set_anonymous()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_anonymous | ( | bool | b = `true` | ) |
| inline

Definition at line 352 of file gsmtpclientprotocol.h.

## ◆ set_eight_bit_strict()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_eight_bit_strict | ( | bool | b = `true` | ) |
| inline

Definition at line 354 of file gsmtpclientprotocol.h.

## ◆ set_filter_timeout()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_filter_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 348 of file gsmtpclientprotocol.h.

## ◆ set_must_accept_all_recipients()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_must_accept_all_recipients | ( | bool | b = `true` | ) |
| inline

Definition at line 353 of file gsmtpclientprotocol.h.

## ◆ set_must_authenticate()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_must_authenticate | ( | bool | b = `true` | ) |
| inline

Definition at line 351 of file gsmtpclientprotocol.h.

## ◆ set_must_use_tls()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_must_use_tls | ( | bool | b = `true` | ) |
| inline

Definition at line 350 of file gsmtpclientprotocol.h.

## ◆ set_ready_timeout()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_ready_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 347 of file gsmtpclientprotocol.h.

## ◆ set_response_timeout()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_response_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 346 of file gsmtpclientprotocol.h.

## ◆ set_thishost_name()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_thishost_name | ( | const std::string & | s | ) |
| inline

Definition at line 345 of file gsmtpclientprotocol.h.

## ◆ set_use_starttls_if_possible()

GSmtp::ClientProtocol::Config & GSmtp::ClientProtocol::Config::set_use_starttls_if_possible | ( | bool | b = `true` | ) |
| inline

Definition at line 349 of file gsmtpclientprotocol.h.

## Member Data Documentation

## ◆ anonymous

bool GSmtp::ClientProtocol::Config::anonymous {false}

Definition at line 192 of file gsmtpclientprotocol.h.

## ◆ eight_bit_strict

bool GSmtp::ClientProtocol::Config::eight_bit_strict {false}

Definition at line 194 of file gsmtpclientprotocol.h.

## ◆ filter_timeout

unsigned int GSmtp::ClientProtocol::Config::filter_timeout {0U}

Definition at line 188 of file gsmtpclientprotocol.h.

## ◆ must_accept_all_recipients

bool GSmtp::ClientProtocol::Config::must_accept_all_recipients {false}

Definition at line 193 of file gsmtpclientprotocol.h.

## ◆ must_authenticate

bool GSmtp::ClientProtocol::Config::must_authenticate {false}

Definition at line 191 of file gsmtpclientprotocol.h.

## ◆ must_use_tls

bool GSmtp::ClientProtocol::Config::must_use_tls {false}

Definition at line 190 of file gsmtpclientprotocol.h.

## ◆ ready_timeout

unsigned int GSmtp::ClientProtocol::Config::ready_timeout {0U}

Definition at line 187 of file gsmtpclientprotocol.h.

## ◆ response_timeout

unsigned int GSmtp::ClientProtocol::Config::response_timeout {0U}

Definition at line 186 of file gsmtpclientprotocol.h.

## ◆ thishost_name

std::string GSmtp::ClientProtocol::Config::thishost_name

Definition at line 185 of file gsmtpclientprotocol.h.

## ◆ use_starttls_if_possible

bool GSmtp::ClientProtocol::Config::use_starttls_if_possible {false}

Definition at line 189 of file gsmtpclientprotocol.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpclientprotocol.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpclientprotocol.cpp